## cups-browsed 2.0~b2

=== debian/changelog ===
cups-browsed (2.0~b2-0ubuntu2) lunar; urgency=low

  * debian/copyright: autotools-generated files can be included under the
    license of the upstream code, and FSF copyright added to upstream
    copyright list. Simplified debian/copyright appropriately.
  * Removed /etc/init.d/cups-browsed from the package, also added
    a cups-browsed.mainscripts file to remove this init script from
    former installations.
  * Removed unnecessary build dependency on sharutils.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 18 Jan 2023 16:39:07 -0300

cups-browsed (2.0~b2-0ubuntu1) lunar; urgency=low

  * Initial Release. From the second generation on (2.x) cups-filters
    upstream is split into libcupsfilters, libppd, cups-filters,
    braille-printer-app, and cups-browsed. This package is cups-browsed.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Jan 2023 00:16:07 -0300
