=== debian/control ===
Source: cups-browsed
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders:
 Till Kamppeter <till.kamppeter@gmail.com>,
 Thorsten Alteholz <debian@alteholz.de>,
Section: net
Priority: optional
Build-Depends:
 autoconf,
 debhelper-compat (= 13),
 dh-apparmor,
 libavahi-client-dev,
 libavahi-common-dev,
 libavahi-glib-dev,
 libcups2-dev (>= 2.2.2),
 libcupsfilters-dev (>= 2~),
 libppd-dev (>= 2~),
 libdbus-1-dev,
 libglib2.0-dev,
 libldap2-dev,
 pkg-config,
 poppler-utils,
 zlib1g-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/printing-team/cups-browsed
Vcs-Git: https://salsa.debian.org/printing-team/cups-browsed.git
Homepage: http://www.openprinting.org/
Rules-Requires-Root: no

Package: cups-browsed
Architecture: any
Depends:
 cups-daemon,
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 avahi-daemon,
Enhances:
 cups,
Breaks:
 cups-filters (<< 1.4.0~),
Replaces:
 cups-filters (<< 1.4.0~),
Description: OpenPrinting CUPS Filters - cups-browsed
 This package provides cups-browsed, a daemon which browses the Bonjour
 broadcasts of shared remote CUPS printers and makes the printers
 available locally, replacing the CUPS broadcasting/browsing which was
 dropped in CUPS 1.6.x. This way the old behavior of having the remote
 printers available automatically is now re-implemented with Bonjour.
 .
 cups-browsed is also useful with a CUPS >= 1.6 client to allow the
 latter to browse the printer list of CUPS < 1.6 servers (by using the
 old 'cups' protocol in BrowseRemoteProtocols).
 .
 cups-browsed is also useful with a CUPS >= 1.6 server to allow CUPS <
 1.6 clients to browse its printer list (by using the old 'cups'
 protocol in BrowseLocalProtocols).
