=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--with-shell=/bin/sh \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--mandir=/usr/share/man \
		--enable-auto-setup-driverless

override_dh_fixperms:
	dh_fixperms -Xusr/lib/cups/backend

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_clean:
	[ ! -r Makefile ] || make distclean

override_dh_install:
ifeq ($(derives_from_ubuntu),yes)
	# Install Apport hook
	install -D -m 644 debian/local/apport-hook.py debian/cups-browsed/usr/share/apport/package-hooks/source_cups-browsed.py
endif
	# AppArmor profile
	dh_apparmor -pcups-browsed --profile-name=usr.sbin.cups-browsed
	install -D -m 644 debian/apparmor/usr.sbin.cups-browsed debian/cups-browsed/etc/apparmor.d/usr.sbin.cups-browsed
	# systemd service file
	install -D -m 644 daemon/cups-browsed.service debian/cups-browsed/lib/systemd/system/cups-browsed.service
	# Remove unnecessary System V init directories
	rm -rf debian/cups-browsed/etc/init.d
	rm -rf debian/cups-browsed/etc/rc?.d
	rm -rf debian/cups-browsed/etc/init.d/
	# Remove source-related documentation
	rm debian/cups-browsed/usr/share/doc/cups-browsed/INSTALL*
	rm debian/cups-browsed/usr/share/doc/cups-browsed/ABOUT-NLS*
	rm debian/cups-browsed/usr/share/doc/cups-browsed/DEVELOPING.md*
	rm debian/cups-browsed/usr/share/doc/cups-browsed/CONTRIBUTING.md*
	# Already in /usr/share/doc/cups-browsed/copyright
	rm debian/cups-browsed/usr/share/doc/cups-browsed/COPYING*
	rm debian/cups-browsed/usr/share/doc/cups-browsed/CHANGES-1.x*

get-orig-source:
	set -ex; \
	dbranch=`git branch --show-current`; \
	gbp import-orig --pristine-tar --uscan --no-merge --upstream-branch=upstream/latest --upstream-tag="upstream/vcs-%(version)s"; \
	utag=`git describe --exact-match heads/upstream/latest | sed -e 's#^upstream/vcs-##'`; \
	ucommit=`git rev-parse --verify upstream/latest`; \
	git checkout -f upstream/latest-tarballs; \
	git merge -Xtheirs -m "Merge $$utag from upstream's VCS" upstream/vcs-$$utag; \
	tar --strip-components=1 -xavf ../cups-browsed_$$utag.orig.tar.xz; \
	git add -A .; \
	git commit -m "$$utag tarball artifacts" || :; \
	git tag -s -m "$$utag tarball from upstream" upstream/$$utag; \
	git checkout $$dbranch; \
	git debrebase new-upstream $$utag upstream/$$utag; \
	git debrebase conclude
