## cups-browsed 2.0~rc1

=== debian/changelog ===
cups-browsed (2.0~rc1-0ubuntu1) lunar; urgency=medium

  * New upstream release 2.0rc1.
    - Prefer Apple Raster against PDF when destination printer supports
      both (LP: #2014976).
    - Fixed crasher in implicitclass backend.
  * Removed 0003-implicitclass-backend-init-header-pointer.patch,
    included upstream.
  * Updated AppArmor profile, as with libcupsfilters 2.0rc1 cups-browsed
    executes ippfind and echo, so allow the execution under the same
    restrictions as they are already applied to cups-browsed itself.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 12 Apr 2023 13:11:57 +0200

cups-browsed (2.0~b4-0ubuntu2) lunar; urgency=medium

  * Skip the "make check" test (dh_auto_test) as it requires running
    avahi-daemon, which is not easily doable in the chroot of the
    build servers.
  * Removed unnecessary "override_dh_makeshlibs" rule in debian/rules.
  * Set permissions of implicitclass backend to 744, to avoid Lintian
    warning.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 17 Mar 2023 12:35:54 +0100

cups-browsed (2.0~b4-0ubuntu1) lunar; urgency=medium

  * New upstream release 2.0b4.
  * Applied upstream fix to implicitclass backend. It had an uninitialized
    pointer.
  * Added new autopkgtest which uses the test script used by "make check"
    but runs it on the system's cups-browsed (test type 3). To make the
    script ("run-tests.sh") available for autopkgtests we provide it
    (with their auxiliary files) in the new cups-browsed-tests binary
    package.
  * Run cups-browsed as a normal user, not as root. Added
    "User=cups-browsed" to systemd service unit, change cache and log
    directories, added postinst and postrm files to create cups-browsed
    user (member of lpadmin group) and own cache and log directories.
  * Clean up install process.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 16 Mar 2023 18:37:54 +0100

cups-browsed (2.0~b2-0ubuntu4) lunar; urgency=medium

  * debian/copyright: Update years in copyright of debian/ (lintian warning).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 25 Jan 2023 22:19:07 -0300

cups-browsed (2.0~b2-0ubuntu3) lunar; urgency=low

  * Fix debian/copyright syntax.
  * Fix stale standards-version.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 25 Jan 2023 21:59:59 -0300
