=== debian/control ===
--- 
+++ 
@@ -21,7 +21,10 @@
  pkg-config,
  poppler-utils,
  zlib1g-dev,
-Standards-Version: 4.6.0
+ cups,
+ cups-ipp-utils,
+ avahi-daemon,
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/printing-team/cups-browsed
 Vcs-Git: https://salsa.debian.org/printing-team/cups-browsed.git
 Homepage: http://www.openprinting.org/
@@ -44,7 +47,7 @@
  cups-filters (<< 1.4.0~),
 Replaces:
  cups-filters (<< 1.4.0~),
-Description: OpenPrinting CUPS Filters - cups-browsed
+Description: OpenPrinting cups-browsed
  This package provides cups-browsed, a daemon which browses the Bonjour
  broadcasts of shared remote CUPS printers and makes the printers
  available locally, replacing the CUPS broadcasting/browsing which was
@@ -58,3 +61,28 @@
  cups-browsed is also useful with a CUPS >= 1.6 server to allow CUPS <
  1.6 clients to browse its printer list (by using the old 'cups'
  protocol in BrowseLocalProtocols).
+
+Package: cups-browsed-tests
+Architecture: all
+Multi-Arch: foreign
+Section: utils
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ cups-browsed,
+ cups,
+ cups-ipp-utils,
+ libcups2-dev,
+ avahi-daemon,
+Description: OpenPrinting cups-browsed - Test script for autopkgtests
+ This package provides cups-browsed, a daemon which browses the Bonjour
+ broadcasts of shared remote CUPS printers and makes the printers
+ available locally, replacing the CUPS broadcasting/browsing which was
+ dropped in CUPS 1.6.x. This way the old behavior of having the remote
+ printers available automatically is now re-implemented with Bonjour.
+ .
+ This package contains a test script from the upstream code which is used
+ for the autopkgtests.
+ .
+ For using cups-browsed you do not need to install this package. It does not
+ contain anything useful for end users.
