## cups-browsed 2.0.0

=== debian/changelog ===
cups-browsed (2.0.0-0ubuntu2) mantic; urgency=medium

  * Added dependencies on pkgconf and cups >= 2.4.6-0ubuntu3 to
    to the cups-browsed-tests binary package, to make the autopkgtest
    work.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 26 Sep 2023 13:25:33 +0200

cups-browsed (2.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
    - Final release with further bug fixes
    - Fixed crash when handling remote CUPS queues
    - Use description/location from server if available, otherwise from
      client
    - Do not record `*-default` IPP attributes of local CUPS queues, we
      record the PPD defaults already
    - In run-tests.sh use pkgconfig instead of deprecated cups-config
  * Removed patch 0003-fix-queue-creation-failure-handling.patch, fix is
    included in the upstream code.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 25 Sep 2023 18:55:33 +0200

cups-browsed (2.0~rc1-0ubuntu2) mantic; urgency=medium

  * Fixed handling of failures when creating local print queues. On
    a failure a global variable was set by the queue creation function
    running as background thread, to stop the loop for updating the
    local queues, but the variable was never reset, making no local
    queue updates done any more for the rest of the life of the
    daemon, making the daemon falling into a busy loop. Completely
    done away with the variable. It is actually not needed (LP: #2018504).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun,  4 Jun 2023 18:50:57 +0200
