=== debian/control ===
--- 
+++ 
@@ -70,10 +70,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
  cups-browsed,
- cups,
- cups-ipp-utils,
- libcups2-dev,
+ cups (>= 2.4.6-0ubuntu3),
+ cups-ipp-utils (>= 2.4.6-0ubuntu3),
+ libcups2-dev (>= 2.4.6-0ubuntu3),
  avahi-daemon,
+ pkgconf,
 Description: OpenPrinting cups-browsed - Test script for autopkgtests
  This package provides cups-browsed, a daemon which browses the Bonjour
  broadcasts of shared remote CUPS printers and makes the printers
