## cups-browsed 2.0.1

=== debian/changelog ===
cups-browsed (2.0.1-0ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: PPD injection issues (LP: #2082335)
    - debian/patches/sec-202409-1.patch: disable legacy CUPS protocol in
      configure.ac.
    - CVE-2024-47176

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Sep 2024 09:13:04 -0400

cups-browsed (2.0.1-0ubuntu1) oracular; urgency=medium

  * New upstream release
    - Near one year worth of bug fixes

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 15 Aug 2024 02:06:38 +0200

cups-browsed (2.0.0-0ubuntu10) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:46:52 +0000

cups-browsed (2.0.0-0ubuntu9) noble; urgency=medium

  [ John Johansen ]
  * debian/apparmor/usr.sbin.cups-browsed: fix FTBFS for armhf (LP: #2058866).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 25 Mar 2024 16:55:41 +0100

cups-browsed (2.0.0-0ubuntu8) noble; urgency=medium

  * No-change rebuild to fix broken armhf binary

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Mar 2024 20:30:52 +0000

cups-browsed (2.0.0-0ubuntu7) noble; urgency=medium

  * No-change rebuild against libcupsfilters2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Mar 2024 19:08:29 +0000

cups-browsed (2.0.0-0ubuntu6) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:46:30 +1300

cups-browsed (2.0.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:29:00 +0000

cups-browsed (2.0.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:09:16 +0000

cups-browsed (2.0.0-0ubuntu3) noble; urgency=medium

  * Added dependencies on pkgconf and cups >= 2.4.6-0ubuntu3 to
    to the cups-browsed-tests binary package, to make the autopkgtest
    work (LP: #2028172).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 16 jan 2024 12:16:33 -0300
