## cups-browsed 2.1.1

=== debian/changelog ===
cups-browsed (2.1.1-0ubuntu2) questing; urgency=medium

  * Adjust apparmor profile to cope with coreutils paths (LP: #2123870):
    - d/apparmor/usr.sbin.cups-browsed: use the new @{coreutil_dirs} variable.
      Thanks to Ksawery Przeczek for the patch.

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 22 Sep 2025 15:39:15 -0300

cups-browsed (2.1.1-0ubuntu1) plucky; urgency=medium

  * New upstream release
    - Fixed cups-browsed getting stuck with 100% CPU on 1 or 2 cores
      (LP: #2049315, LP: #2067918, LP: #2073504, CUPS upstream issue #879).
    - Fix for CVE-2024-47176 included.
  * Removed patches for CVE-2024-47176, included upstream.
  * Updated the remaining patches.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 11 Jan 2025 22:16:34 +0100

cups-browsed (2.0.1-0ubuntu2.1) oracular-security; urgency=medium

  * SECURITY UPDATE: more complete fix for CVE-2024-47176
    - debian/patches/CVE-2024-47176-2.patch: completely remove support for
      legacy CUPS protocol and LDAP.
    - CVE-2024-47176
  * debian/patches/sec-202409-1.patch: renamed to CVE-2024-47176-1.patch.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Oct 2024 08:19:06 -0400
