=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: cups-browsed
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders:
  Till Kamppeter <till.kamppeter@gmail.com>,
  Thorsten Alteholz <debian@alteholz.de>,
