=== debian/rules ===
--- 
+++ 
@@ -17,16 +17,24 @@
 		--mandir=/usr/share/man \
 		--enable-auto-setup-driverless
 
+override_dh_auto_test:
+	# Skip the "make check" test for now, as it needs avahi-daemon
+	# running, which is not easily doable in the chroot of the build
+	# service. The script works perfectly in the VM of the autopkgtest
+	# where we actually use it.
+	true
+
 override_dh_fixperms:
 	dh_fixperms -Xusr/lib/cups/backend
-
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4
 
 override_dh_auto_clean:
 	[ ! -r Makefile ] || make distclean
 
 override_dh_install:
+	dh_install
+	# Correct permissions of implicitclass backend, to silence Lintian
+	# warning
+	chmod 744 debian/cups-browsed/usr/lib/cups/backend/implicitclass
 ifeq ($(derives_from_ubuntu),yes)
 	# Install Apport hook
 	install -D -m 644 debian/local/apport-hook.py debian/cups-browsed/usr/share/apport/package-hooks/source_cups-browsed.py
@@ -36,18 +44,12 @@
 	install -D -m 644 debian/apparmor/usr.sbin.cups-browsed debian/cups-browsed/etc/apparmor.d/usr.sbin.cups-browsed
 	# systemd service file
 	install -D -m 644 daemon/cups-browsed.service debian/cups-browsed/lib/systemd/system/cups-browsed.service
-	# Remove unnecessary System V init directories
-	rm -rf debian/cups-browsed/etc/init.d
-	rm -rf debian/cups-browsed/etc/rc?.d
-	rm -rf debian/cups-browsed/etc/init.d/
-	# Remove source-related documentation
-	rm debian/cups-browsed/usr/share/doc/cups-browsed/INSTALL*
-	rm debian/cups-browsed/usr/share/doc/cups-browsed/ABOUT-NLS*
-	rm debian/cups-browsed/usr/share/doc/cups-browsed/DEVELOPING.md*
-	rm debian/cups-browsed/usr/share/doc/cups-browsed/CONTRIBUTING.md*
-	# Already in /usr/share/doc/cups-browsed/copyright
-	rm debian/cups-browsed/usr/share/doc/cups-browsed/COPYING*
-	rm debian/cups-browsed/usr/share/doc/cups-browsed/CHANGES-1.x*
+	# Install test script for autopkgtest, binary package
+	# cups-browsed-tests
+	install -D -m 755 test/run-tests.sh debian/cups-browsed-tests/usr/bin/run-tests.sh
+	install -d -m 755 debian/cups-browsed-tests/usr/share/cups-browsed-tests
+	install -m 644 test/*.ppd debian/cups-browsed-tests/usr/share/cups-browsed-tests
+	install -m 644 test/*.convs debian/cups-browsed-tests/usr/share/cups-browsed-tests
 
 get-orig-source:
 	set -ex; \
