=== debian/tests/control ===
Tests: cups-browsed-functionality
Depends: cups-browsed-tests
Restrictions: allow-stderr
