=== debian/watch ===
version=4
https://github.com/OpenPrinting/cups-browsed/releases .*/cups-browsed-(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz)
